{% extends 'Master.htm' %}
{% block HeadScript %}
<!-- Theme JS files -->
<script src="/static/js/plugins/tables/datatables/datatables.min.js"></script>
<script src="/static/js/plugins/tables/datatables/extensions/row_reorder.min.js"></script>
<script src="/static/js/plugins/tables/datatables/extensions/responsive.min.js"></script>
<!-- /theme JS files -->
<script src="/static/js/app.js"></script>
<script src="/static/js/custom.js"></script>
<script>
	$(function () {


		if (!$().DataTable) {
			console.warn('Warning - datatables.min.js is not loaded.');
			return;
		}


		// Basic initialization
		$('.datatable-row-basic').DataTable({
			rowReorder: true,
			responsive: true,
			searching: false,
			paging: false
		});		
	});

	function AddPropety(TreeID, TextboxID) {
		
	}

</script>

{% endblock %}

{% block NaviTitle %}
<span class="font-weight-semibold">Game Admin - Propeties</span> - 遊戲管理區 - 屬性/參數
{% endblock %}

{% block Content %}
<!-- Page content -->
<div class="page-content container pt-0">

	<!-- Main content -->
	<div class="content-wrapper">

		<!-- Content area -->
		<div class="content">

			<!-- Form layouts -->
			<div class="row">
				<div class="col-md-3">
					{% include 'GameAdmin/Navigation.htm' %}
				</div>
				<div class="col-md-9">
					<!-- Tree editable -->
					<div class="card">
						<div class="card-header header-elements-inline">
							<h6 class="card-title">角色固定屬性</h6>
							<div class="header-elements">
								<div class="list-icons">
									<a class="list-icons-item" data-action="collapse"></a>
									<a class="list-icons-item" data-action="reload"></a>
									<a class="list-icons-item" data-action="remove"></a>
								</div>
							</div>
						</div>

						<div class="card-body">
							<p class="mb-3">Node titles can be changed via inline editing using <code>dblclick</code>,
								<kbd>Shift + click [F2]</kbd> or <kbd>Enter</kbd> (on Mac only).</p>
						</div>
						<table class="table datatable-row-basic"  data-order='[[ 0, "asc" ]]'>
							<thead>
								<tr>
									<th>次序</th>
									<th>名稱</th>
									<th>描述</th>
									<th>類型</th>
									<th>設置類型</th>
									<th>過濾鍵</th>
									<th class="text-center">編輯</th>
								</tr>
							</thead>
							<tbody>
								{% for Propety in Propeties if Propety.p_type== "GP" %}
								<tr>
									<td>{{loop.index}}</td>
									<td><input type="text"  value="{{Propety.name}}" /></td>
									<td><input type="text"   value="{{Propety.description}}" /></td>
									<td>
										<select>
											<option value="Textbox" {% if Propety.data_type == "Textbox" %} selected
												{% endif %}>文字</option>
											<option value="List" {% if Propety.data_type == 'List' %} selected
												{% endif %}>列表</option>
											<option value="Number" {% if Propety.data_type == 'Number' %} selected
												{% endif %}>數字</option>
										</select>
									</td>
									<td>
										<select >
											<option value="Textbox" {% if Propety.p_type == "GP" %} selected
												{% endif %}>全角色設置</option>
											<option value="List" {% if Propety.p_type == 'CP' %} selected
												{% endif %}>角色個別設置</option>									
										</select>
									</td>
									<td>
										<input type="checkbox" id="FilterKey"/>
									</td>
									<td><a href="/Admin/Game/{{Propety.g_id}}/Propeties/{{Propety.id}}">Edit</a></td>

								</tr>
								{% endfor %}
								
							</tbody>
						</table>

						</table>
					</div>
					<div class="card">
						<div class="card-header header-elements-inline">
							<h6 class="card-title">攻略配備屬性</h6>
							<div class="header-elements">
								<div class="list-icons">
									<a class="list-icons-item" data-action="collapse"></a>
									<a class="list-icons-item" data-action="reload"></a>
									<a class="list-icons-item" data-action="remove"></a>
								</div>
							</div>
						</div>

						<div class="card-body">
							<p class="mb-3">Node titles can be changed via inline editing using <code>dblclick</code>,
								<kbd>Shift + click [F2]</kbd> or <kbd>Enter</kbd> (on Mac only).</p>
						</div>

						<table class="table datatable-row-basic">
							<thead>
								<tr>
									<th>#</th>
									<th>Name</th>
									<th>Description</th>
									<th>Data Type</th>
									<th class="text-center">Actions</th>
								</tr>
							</thead>
							<tbody>
								{% for Propety in Propeties if Propety.p_type== "GI"%}
								<tr>
									<td>{{loop.index}}</td>
									<td><input type="text" value="{{Propety.name}}" /></td>
									<td><input type="text" value="{{Propety.description}}" /></td>
									<td>
										<select>
											<option value="List">列表</option>
											<option value="Textbox">文字</option>
											<option value="Number">數字</option>
										</select>
									</td>
									<td><a href="/Admin/Game/{{Propety.g_id}}/Propeties/{{Propety.id}}">Edit</a></td>

								</tr>
								{% endfor %}

							</tbody>
						</table>
					</div>
				</div>





			</div>
			<!-- /form layouts -->

		</div>
		<!-- /content area -->

	</div>
	<!-- /main content -->

</div>
{% endblock %}